name: em2rp
description: "L'app de gestion d'événements et matériel par EM2 Events"
publish_to: 'none'
version: 1.0.0+1

environment:
  sdk: ^3.5.4

dependencies:
  flutter:
    sdk: flutter
  
  # Firebase & Authentication
  firebase_core: ^4.2.0
  firebase_auth: ^6.1.1
  cloud_firestore: ^6.0.3
  cloud_functions: ^6.0.4
  google_sign_in: ^7.2.0
  firebase_storage: ^13.0.3
  shared_preferences: ^2.0.15

  # State Management
  provider: ^6.1.2

  # UI Core
  cupertino_icons: ^1.0.2
  google_fonts: ^8.0.2
  flutter_svg: ^2.2.1
  cached_network_image: ^3.3.1
  flutter_slidable: ^4.0.0
  flutter_localizations:
    sdk: flutter

  # Calendar & Dates
  table_calendar: ^3.0.9
  intl: ^0.20.2
  timezone: ^0.10.1

  # Storage & Files
  path_provider: ^2.1.2
  flutter_secure_storage: ^10.0.0
  file_picker: ^10.1.9
  image_picker: ^1.1.2
  flutter_dropzone: ^4.2.1
  path: any

  # PDF & Documents
  pdf: ^3.10.7
  printing: ^5.11.1
  qr_flutter: ^4.1.0
  mobile_scanner: ^7.2.0

  # Network & API
  http: ^1.1.2
  universal_io: ^2.2.2
  flutter_dotenv: ^6.0.0

  # Sharing & Launch
  url_launcher: ^6.2.2
  share_plus: ^12.0.1

  # Notifications
  flutter_local_notifications: ^20.1.0


  # Export/Import
  csv: ^6.0.0
  web: ^1.1.1
  uuid: ^4.2.2

  # Build-time tools (dev)
  flutter_launcher_icons: ^0.14.3
  flutter_native_splash: ^2.3.9
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/
    - assets/images/
    - assets/logos/
    - assets/icons/
    - assets/sounds/
